CVE-2004-0906
CVSS4.6
发布时间 :2004-12-31 00:00:00
修订时间 :2010-08-21 00:21:27
NMCOS    

[原文]The XPInstall installer in Mozilla Firefox before the Preview Release, Mozilla before 1.7.3, and Thunderbird before 0.8 sets insecure permissions for certain installed files within xpi packages, which could allow local users to overwrite arbitrary files or execute arbitrary code.


[CNNVD]Mozilla/Firefox Browsers tar.gz打包文件弱访问权限漏洞(CNNVD-200412-724)

        
        Mozilla/Firefox是开放源代码WEB浏览器。
        Mozilla/Firefox浏览器的tar.gz打包文件权限处理不正确,本地攻击者可以利用这个漏洞覆盖或修改安装文件等。
        使用tar.gz压缩的Mozilla/Firefox浏览器档文件权限处理不正确,是全局可读写,本地可交互的攻击者可以覆盖或修改安装文件,可能导致恶意程序执行。
        

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:mozilla:mozilla:1.2:alphaMozilla Mozilla Browser 1.2 Alpha
cpe:/a:mozilla:mozilla:1.7Mozilla Mozilla 1.7
cpe:/a:mozilla:mozilla:1.0Mozilla Mozilla 1.0
cpe:/a:mozilla:mozilla:1.1Mozilla Mozilla 1.1
cpe:/a:mozilla:mozilla:0.9.7Mozilla Mozilla 0.9.7
cpe:/a:mozilla:mozilla:0.9.3Mozilla Mozilla Browser 0.9.3
cpe:/a:mozilla:mozilla:1.7.1Mozilla Mozilla 1.7.1
cpe:/a:mozilla:mozilla:0.9.2.1Mozilla Mozilla Browser 0.9.2.1
cpe:/a:mozilla:mozilla:1.4:alphaMozilla Mozilla 1.4a
cpe:/a:mozilla:mozilla:1.3Mozilla Mozilla 1.3
cpe:/a:mozilla:thunderbird:0.3Mozilla Thunderbird 0.3
cpe:/a:mozilla:mozilla:1.3.1Mozilla Mozilla Browser 1.3.1
cpe:/a:mozilla:mozilla:0.9.4Mozilla Mozilla Browser 0.9.4
cpe:/a:mozilla:mozilla:1.7:alphaMozilla Mozilla 1.7 alpha
cpe:/a:mozilla:mozilla:0.9.48Mozilla Mozilla Browser 0.9.48
cpe:/a:mozilla:mozilla:1.7:rc1Mozilla Mozilla 1.7 rc1
cpe:/a:mozilla:thunderbird:0.7.2Mozilla Thunderbird 0.7.2
cpe:/a:mozilla:mozilla:0.9.8Mozilla Mozilla Browser 0.9.8
cpe:/a:mozilla:mozilla:1.2.1Mozilla Mozilla Browser 1.2.1
cpe:/a:mozilla:thunderbird:0.1Mozilla Thunderbird 0.1
cpe:/a:mozilla:mozilla:1.6Mozilla Mozilla 1.6
cpe:/a:mozilla:mozilla:1.0.1Mozilla Mozilla Browser 1.0.1
cpe:/a:mozilla:mozilla:1.4:betaMozilla Mozilla Browser 1.4b
cpe:/a:mozilla:thunderbird:0.4Mozilla Thunderbird 0.4
cpe:/a:mozilla:mozilla:1.7:rc2Mozilla Mozilla 1.7 rc2
cpe:/a:mozilla:mozilla:1.0.2Mozilla Mozilla Browser 1.0.2
cpe:/a:mozilla:mozilla:0.9.2Mozilla Mozilla Browser 0.9.2
cpe:/a:mozilla:mozilla:1.5.1Mozilla Mozilla 1.5.1
cpe:/a:mozilla:mozilla:1.0:rc1
cpe:/a:mozilla:mozilla:1.4.2Mozilla Mozilla Browser 1.4.2
cpe:/a:mozilla:thunderbird:0.5Mozilla Thunderbird 0.5
cpe:/a:mozilla:thunderbird:0.2Mozilla Thunderbird 0.2
cpe:/a:mozilla:mozilla:1.5Mozilla Mozilla 1.5
cpe:/a:mozilla:mozilla:0.9.5Mozilla Mozilla Browser 0.9.5
cpe:/a:mozilla:mozilla:1.1:betaMozilla Mozilla Browser 1.1 Beta
cpe:/a:mozilla:mozilla:0.8Mozilla Mozilla Browser 0.8
cpe:/a:mozilla:mozilla:0.9.6Mozilla Mozilla Browser 0.9.6
cpe:/a:mozilla:mozilla:1.1:alphaMozilla Mozilla Browser 1.1 Alpha
cpe:/a:mozilla:mozilla:1.2Mozilla Mozilla 1.2
cpe:/a:mozilla:mozilla:1.4.1Mozilla Mozilla 1.4.1
cpe:/a:mozilla:mozilla:1.7:rc3Mozilla Mozilla 1.7 rc3
cpe:/a:mozilla:mozilla:0.9.35Mozilla Mozilla Browser 0.9.35
cpe:/a:mozilla:mozilla:1.7.2Mozilla Mozilla 1.7.2
cpe:/a:mozilla:mozilla:1.0:rc2
cpe:/a:mozilla:mozilla:0.9.4.1Mozilla Mozilla Browser 0.9.4.1
cpe:/a:mozilla:mozilla:1.4Mozilla Mozilla 1.4
cpe:/a:mozilla:thunderbird:0.7Mozilla Thunderbird 0.7
cpe:/a:mozilla:mozilla:0.9.9Mozilla Mozilla 0.9.9
cpe:/a:mozilla:thunderbird:0.7.1Mozilla Thunderbird 0.7.1
cpe:/a:mozilla:mozilla:1.2:betaMozilla Mozilla Browser 1.2 Beta
cpe:/a:mozilla:mozilla:1.7:betaMozilla Mozilla 1.7 beta
cpe:/a:mozilla:thunderbird:0.6Mozilla Thunderbird 0.6
cpe:/a:mozilla:thunderbird:0.7.3Mozilla Thunderbird 0.7.3
cpe:/a:mozilla:mozilla:1.4.4Mozilla Mozilla Browser 1.4.4

- OVAL (用于检测的技术细节)

oval:org.mitre.oval:def:11668The XPInstall installer in Mozilla Firefox before the Preview Release, Mozilla before 1.7.3, and Thunderbird before 0.8 sets insecure permis...
*OVAL详细的描述了检测该漏洞的方法,你可以从相关的OVAL定义中找到更多检测该漏洞的技术细节。

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0906
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0906
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-724
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/653160
(VENDOR_ADVISORY)  CERT-VN  VU#653160
http://bugzilla.mozilla.org/show_bug.cgi?id=235781
(PATCH)  CONFIRM  http://bugzilla.mozilla.org/show_bug.cgi?id=235781
http://bugzilla.mozilla.org/show_bug.cgi?id=231083
(PATCH)  CONFIRM  http://bugzilla.mozilla.org/show_bug.cgi?id=231083
http://xforce.iss.net/xforce/xfdb/17375
(UNKNOWN)  XF  mozilla-insecure-file-permissions(17375)
http://www.securityfocus.com/bid/11192
(UNKNOWN)  BID  11192
http://www.redhat.com/support/errata/RHSA-2005-323.html
(UNKNOWN)  REDHAT  RHSA-2005:323
http://www.novell.com/linux/security/advisories/2004_36_mozilla.html
(VENDOR_ADVISORY)  SUSE  SUSE-SA:2004:036
http://www.mozilla.org/projects/security/known-vulnerabilities.html#mozilla1.7.3
(UNKNOWN)  CONFIRM  http://www.mozilla.org/projects/security/known-vulnerabilities.html#mozilla1.7.3
http://security.gentoo.org/glsa/glsa-200409-26.xml
(UNKNOWN)  GENTOO  GLSA-200409-26
http://secunia.com/advisories/12526/
(UNKNOWN)  SECUNIA  12526

- 漏洞信息

Mozilla/Firefox Browsers tar.gz打包文件弱访问权限漏洞
中危 设计错误
2004-12-31 00:00:00 2005-10-20 00:00:00
本地  
        
        Mozilla/Firefox是开放源代码WEB浏览器。
        Mozilla/Firefox浏览器的tar.gz打包文件权限处理不正确,本地攻击者可以利用这个漏洞覆盖或修改安装文件等。
        使用tar.gz压缩的Mozilla/Firefox浏览器档文件权限处理不正确,是全局可读写,本地可交互的攻击者可以覆盖或修改安装文件,可能导致恶意程序执行。
        

- 公告与补丁

        厂商补丁:
        Mozilla
        -------
        目前厂商已经发布了升级补丁以修复这个安全问题,请到厂商的主页下载:
        Mozilla Upgrade Firefox Preview Release
        
        http://www.mozilla.org/products/firefox/releases/0.10.html

        Mozilla Upgrade Mozilla 1.7.3
        
        http://www.mozilla.org/releases/

- 漏洞信息

10559
Mozilla Multiple Products XPInstall Arbitrary File Overwrite
Loss of Integrity Upgrade
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2004-09-14 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Mozilla Firefox XPInstall Default Installation File Permission Vulnerability
Design Error 11166
No Yes
2004-09-13 12:00:00 2009-07-12 07:06:00
Max <spamhole@gmx.at> disclosed this vulnerability.

- 受影响的程序版本

SGI ProPack 3.0
RedHat Linux 9.0 i386
RedHat Linux 7.3 i686
RedHat Linux 7.3 i386
RedHat Linux 7.3
Red Hat Fedora Core2
Red Hat Fedora Core1
Mozilla Firefox 0.9.3
Mozilla Firefox 0.9.2
Mozilla Firefox 0.9.1
Mozilla Firefox 0.9 rc
Mozilla Firefox 0.9
Mozilla Browser 1.7.6
+ HP HP-UX B.11.23
+ HP HP-UX B.11.23
+ HP HP-UX B.11.22
+ HP HP-UX B.11.22
+ HP HP-UX B.11.11
+ HP HP-UX B.11.11
+ HP HP-UX B.11.11
+ HP HP-UX B.11.11
+ HP HP-UX B.11.00
+ HP HP-UX B.11.00
+ Red Hat Enterprise Linux AS 4
+ Red Hat Enterprise Linux AS 4
+ RedHat Desktop 4.0
+ RedHat Desktop 4.0
+ RedHat Enterprise Linux ES 4
+ RedHat Enterprise Linux ES 4
+ RedHat Enterprise Linux WS 4
+ RedHat Enterprise Linux WS 4
+ Turbolinux Home
+ Turbolinux Home
+ Turbolinux Turbolinux 10 F...
+ Turbolinux Turbolinux Desktop 10.0
+ Turbolinux Turbolinux Desktop 10.0
+ Turbolinux Turbolinux Server 10.0
+ Turbolinux Turbolinux Server 10.0
Mozilla Browser 1.7.2
Mozilla Browser 1.7.1
Mozilla Browser 1.7 rc3
Mozilla Browser 1.7
Mozilla Browser 1.4.4
+ Red Hat Enterprise Linux AS 3
+ Red Hat Enterprise Linux AS 3
+ Red Hat Enterprise Linux AS 2.1 IA64
+ Red Hat Enterprise Linux AS 2.1 IA64
+ Red Hat Enterprise Linux AS 2.1
+ Red Hat Enterprise Linux AS 2.1
+ RedHat Desktop 3.0
+ RedHat Desktop 3.0
+ RedHat Enterprise Linux ES 3
+ RedHat Enterprise Linux ES 3
+ RedHat Enterprise Linux ES 2.1 IA64
+ RedHat Enterprise Linux ES 2.1 IA64
+ RedHat Enterprise Linux ES 2.1
+ RedHat Enterprise Linux ES 2.1
+ RedHat Enterprise Linux WS 3
+ RedHat Enterprise Linux WS 3
+ RedHat Enterprise Linux WS 2.1 IA64
+ RedHat Enterprise Linux WS 2.1 IA64
+ RedHat Enterprise Linux WS 2.1
+ RedHat Enterprise Linux WS 2.1
+ RedHat Linux Advanced Work Station 2.1
Conectiva Linux 10.0
Conectiva Linux 9.0
Mozilla Firefox Preview Release
Mozilla Browser 1.7.3
+ HP HP-UX B.11.23
+ HP HP-UX B.11.22
+ HP HP-UX B.11.22
+ HP HP-UX B.11.11
+ HP HP-UX B.11.11
+ HP HP-UX B.11.11
+ HP HP-UX B.11.11
+ HP HP-UX B.11.00
+ HP HP-UX B.11.00
+ HP Tru64 5.1 B-2 PK4 (BL25)
+ HP Tru64 5.1 B-2 PK4 (BL25)
+ HP Tru64 5.1 B-2 PK4
+ HP Tru64 5.1 B-2 PK4
+ HP Tru64 5.1 B PK4
+ HP Tru64 5.1 B PK4
+ HP Tru64 5.1 A PK6 (BL24)
+ HP Tru64 5.1 A PK6 (BL24)
+ HP Tru64 5.1 A PK6
+ HP Tru64 5.1 A PK6
Mozilla Browser 0.9.2
- Apple Mac OS 9 9.2.1
- Apple Mac OS 9 9.2.1
- Apple Mac OS 9 9.2
- Apple Mac OS 9 9.2
- Apple Mac OS 9 9.1
- Apple Mac OS 9 9.1
- Apple Mac OS 9 9.0.4
- Apple Mac OS 9 9.0.4
- Apple Mac OS 9 9.0
- Apple Mac OS 9 9.0
- Apple Mac OS X 10.1.2
- Apple Mac OS X 10.1.2
- Apple Mac OS X 10.1.1
- Apple Mac OS X 10.1.1
- Apple Mac OS X 10.1
- Apple Mac OS X 10.1
- Apple Mac OS X 10.0.4
- Apple Mac OS X 10.0.4
- Apple Mac OS X 10.0.3
- Apple Mac OS X 10.0.3
- Apple Mac OS X 10.0.2
- Apple Mac OS X 10.0.2
- Apple Mac OS X 10.0.1
- Apple Mac OS X 10.0.1
- Apple Mac OS X 10.0
- Apple Mac OS X 10.0
+ Conectiva Linux 8.0
+ Conectiva Linux 7.0
+ Conectiva Linux 7.0
+ Conectiva Linux 6.0
+ Conectiva Linux 6.0
- Microsoft Windows 95
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows 98
- Microsoft Windows ME
- Microsoft Windows ME
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0
- Microsoft Windows NT 4.0
- Microsoft Windows XP 0

- 不受影响的程序版本

Mozilla Firefox Preview Release
Mozilla Browser 1.7.3
+ HP HP-UX B.11.23
+ HP HP-UX B.11.22
+ HP HP-UX B.11.22
+ HP HP-UX B.11.11
+ HP HP-UX B.11.11
+ HP HP-UX B.11.11
+ HP HP-UX B.11.11
+ HP HP-UX B.11.00
+ HP HP-UX B.11.00
+ HP Tru64 5.1 B-2 PK4 (BL25)
+ HP Tru64 5.1 B-2 PK4 (BL25)
+ HP Tru64 5.1 B-2 PK4
+ HP Tru64 5.1 B-2 PK4
+ HP Tru64 5.1 B PK4
+ HP Tru64 5.1 B PK4
+ HP Tru64 5.1 A PK6 (BL24)
+ HP Tru64 5.1 A PK6 (BL24)
+ HP Tru64 5.1 A PK6
+ HP Tru64 5.1 A PK6
Mozilla Browser 0.9.2
- Apple Mac OS 9 9.2.1
- Apple Mac OS 9 9.2.1
- Apple Mac OS 9 9.2
- Apple Mac OS 9 9.2
- Apple Mac OS 9 9.1
- Apple Mac OS 9 9.1
- Apple Mac OS 9 9.0.4
- Apple Mac OS 9 9.0.4
- Apple Mac OS 9 9.0
- Apple Mac OS 9 9.0
- Apple Mac OS X 10.1.2
- Apple Mac OS X 10.1.2
- Apple Mac OS X 10.1.1
- Apple Mac OS X 10.1.1
- Apple Mac OS X 10.1
- Apple Mac OS X 10.1
- Apple Mac OS X 10.0.4
- Apple Mac OS X 10.0.4
- Apple Mac OS X 10.0.3
- Apple Mac OS X 10.0.3
- Apple Mac OS X 10.0.2
- Apple Mac OS X 10.0.2
- Apple Mac OS X 10.0.1
- Apple Mac OS X 10.0.1
- Apple Mac OS X 10.0
- Apple Mac OS X 10.0
+ Conectiva Linux 8.0
+ Conectiva Linux 7.0
+ Conectiva Linux 7.0
+ Conectiva Linux 6.0
+ Conectiva Linux 6.0
- Microsoft Windows 95
- Microsoft Windows 95
- Microsoft Windows 98
- Microsoft Windows 98
- Microsoft Windows ME
- Microsoft Windows ME
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP6a
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP5
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP4
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP3
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP2
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0 SP1
- Microsoft Windows NT 4.0
- Microsoft Windows NT 4.0
- Microsoft Windows XP 0

- 漏洞讨论

Mozilla Firefox is reported susceptible to an improper file permission vulnerability. This vulnerability is reported to exist only in the Linux archive as published by the Mozilla Foundation. If the browser is installed by package management software contained in many distributions of Linux, this vulnerability is likely not present.

This allows attackers with local interactive access to computers hosting installations of Firefox to overwrite binaries and scripts used by Firefox. This allows script, or code execution in the context of the user running the affected package.

If this method of installation is used to install a system-wide version of the browser by the superuser, then root-owned files are world writable, allowing for code execution in the context of any user utilizing the affected package.

The installation package from Mozilla.org for versions 0.9.x of Firefox for Linux is reported to contain this vulnerability.

- 漏洞利用

An exploit is not required.

- 解决方案

SGI has released an advisory 20050304-01-U including updated SGI ProPack 3 Service Pack 4 packages to address this issue. Please see the referenced advisory for more information.

Conectiva has released an advisory (CLA-2004:877) to address various issues including this issue in Mozilla. This advisory contains updated Mozilla packages (1.7.3) for Conectiva Linux 9 and 10. Please see the referenced advisory for more information.

SuSE Linux has released advisory SUSE-SA:2004:036 along with fixes dealing with this issue. Please see the referenced advisory for more information.

RedHat has released advisories RHSA-2005:323 and RHSA-2005:335 to address this issue. Please see the referenced advisories to obtain fix information.

The vendor has released an upgrade dealing with this issue.

RedHat Fedora Legacy has released advisory FLSA:152883 addressing this and other issues for RedHat Linux 7.3, 9 and for Fedora Core 1 and Core 2. Please see the referenced advisory for details on obtaining and applying the appropriate updates.


Mozilla Firefox 0.9 rc

Mozilla Firefox 0.9

Mozilla Firefox 0.9.1

Mozilla Firefox 0.9.2

Mozilla Firefox 0.9.3

Mozilla Browser 1.7

Mozilla Browser 1.7 rc3

Mozilla Browser 1.7.1

Mozilla Browser 1.7.2

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站